# OpenSQLManager » \Query_Parser
Author: Mike van Riel

Utility Class to parse sql clauses for properly escaping identifiers

package | Query
subpackage | Query

### Methods

## Constructor/entry point into parser

    __construct($sql)

### Parameters

#### $sql

``

string

## Public parser method for seting the parse string

    parse_join($sql)

### Parameters

#### $sql

``

string

## Returns a more useful match array

    filter_array($array) : array

### Parameters

#### $array

``

array

### Returns

`array`

### Properties

## Regex matches

    $matches : array

## Regex patterns for various syntax components

    $match_patterns : array